diagnostics doesn't need to search for perldelta.pod in pre-5.005 locations.
authorNicholas Clark <nick@ccl4.org>
Tue, 24 Jan 2012 15:08:37 +0000 (16:08 +0100)
committerNicholas Clark <nick@ccl4.org>
Tue, 31 Jan 2012 10:20:23 +0000 (11:20 +0100)
Pods are installed into privlib. Before Perl 5.005, privlib didn't contain
the version number in it, so 5.004 and 5.003 (etc) both installed to the same
directory. perldiag.pod differed in not-quite compatible ways, so hacks were
put in to (a) also install it in privlib with the version number in the
filename (b) to hard link it to archlib, which always did contain the version
number.

5.005 changed privlib to contain the version number, solving the underlying
problem (strictly commit bfb7748a896459cc, described here:
http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/1998-07/msg00136.html )

Commit a841533b5cf319b3 (Oct 2009) removed the first installation hack,
Commit e8ea61279d90dbe9 (Jul 1998) removed the second.

Hence the code to search in the "hacked" locations is no longer needed,
and in the interests of clarity, should go.

lib/diagnostics.pm
pod/perldelta.pod

index a1841cf..dfb05c7 100644 (file)
@@ -186,7 +186,7 @@ use 5.009001;
 use Carp;
 $Carp::Internal{__PACKAGE__.""}++;
 
-our $VERSION = '1.27';
+our $VERSION = '1.28';
 our $DEBUG;
 our $VERBOSE;
 our $PRETTY;
@@ -194,18 +194,13 @@ our $TRACEONLY = 0;
 our $WARNTRACE = 0;
 
 use Config;
-my($privlib, $archlib) = @Config{qw(privlibexp archlibexp)};
+my $privlib = $Config{privlibexp};
 if ($^O eq 'VMS') {
     require VMS::Filespec;
     $privlib = VMS::Filespec::unixify($privlib);
-    $archlib = VMS::Filespec::unixify($archlib);
 }
 my @trypod = (
-          "$archlib/pod/perldiag.pod",
-          "$privlib/pod/perldiag-$Config{version}.pod",
           "$privlib/pod/perldiag.pod",
-          "$archlib/pods/perldiag.pod",
-          "$privlib/pods/perldiag-$Config{version}.pod",
           "$privlib/pods/perldiag.pod",
          );
 # handy for development testing of new warnings etc
index 587326d..c7a1727 100644 (file)
@@ -141,6 +141,13 @@ L<DB_File> has been upgraded from version 1.824 to version 1.826.
 
 =item *
 
+L<diagnostics> has been upgraded from version 1.27 to version 1.28.
+
+When searching for F<perldiag.pod>, it no longer uses paths that were only
+relevant on Perl 5.004 and earlier.
+
+=item *
+
 L<IPC::Cmd> has been upgraded from version 0.72 to version 0.76.
 
 =item *